Hatchet
=======

[![Build Status](https://travis-ci.com/LLNL/hatchet.svg?branch=master)](https://travis-ci.com/LLNL/hatchet)
[![codecov](https://codecov.io/gh/LLNL/hatchet/branch/master/graph/badge.svg)](https://codecov.io/gh/LLNL/hatchet)
[![Read the Docs](http://readthedocs.org/projects/hatchet/badge/?version=latest)](http://hatchet.readthedocs.io)
[![Code Style: Black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

Hatchet allows [Pandas](https://pandas.pydata.org/) dataframes to be
indexed by structured tree and graph data.  It is intended for analyzing
sequential and parallel profile data.

<p align="center">
  <img src="https://raw.githubusercontent.com/LLNL/hatchet/master/screenshot.png" width=800>
</p>

### Installing hatchet

To use hatchet, install it with pip:

```
$ pip install hatchet
```

Or, if you want to develop with this repo directly, add the cloned
directory to your `PYTHONPATH`.

### Authors


Many thanks go to Hatchet's
[contributors](https://github.com/llnl/hatchet/graphs/contributors).

Hatchet was originally written by Abhinav Bhatele, bhatele@cs.umd.edu.

### Citing Hatchet

If you are referencing Hatchet in a publication, please cite the
following [paper](http://www.cs.umd.edu/~bhatele/pubs/pdf/2019/sc2019.pdf):

 * Abhinav Bhatele, Stephanie Brink, and Todd Gamblin. Hatchet: Pruning
   the Overgrowth in Parallel Profiles. In Proceedings of the International
   Conference for High Performance Computing, Networking, Storage and Analysis
   (SC '19). ACM, New York, NY, USA. [DOI](
   https://doi.org/10.1145/3295500.335621)

### License


Hatchet is distributed under the terms of the MIT license.

All contributions must be made under the MIT license.  Copyrights in the
Hatchet project are retained by contributors.  No copyright assignment is
required to contribute to Hatchet.

See [LICENSE](https://github.com/llnl/hatchet/blob/master/LICENSE) and
[NOTICE](https://github.com/llnl/hatchet/blob/master/NOTICE) for details.

SPDX-License-Identifier: MIT
LLNL-CODE-741008
